Skip to main content
GET
Test runs a rule changed for a test

Authorizations

Authorization
string
header
required

User PAT (td_pat_) scoped to the target project

Path Parameters

projectId
string
required

The project identifier (e.g. project_abc123). Must match the project associated with your PAT.

testId
string
required
Maximum string length: 128

Query Parameters

kind
enum<string>
required

excluded: a quarantine kept the failure from failing the build. critical: the test failed the build by passing only on retry while critical.

Available options:
excluded,
critical

Response

Affected test runs

success
enum<boolean>
Available options:
true
data
object[]

The 10 latest affected test runs.

total
integer

Affected test runs in the last 90 days.

Last modified on November 4, 2026